<!DOCTYPE html>
<html>
    <head>
        <title>Multiplication Table.</title>
        <style>
            .main{
                display: flex;
                justify-content: center;
                border: 2px solid black;
                height: 400px;

            }
            button{
                display: inline-block;
                text-align: center;
            }
            }
            input[type="text"]{
                height: 40px;

            }
        </style>
    </head>
    <body>
        <div class="main">
            <table class="multiplication">
                <tr>
                    <td><input type="text" placeholder="Enter value" id="number"></td>
                    <td><input type="text" placeholder="Enter limit" id="value"></td>
                </tr>
                <tr class="result">
                    <td>
                    <button type="button" onclick="calc()">Result</button>
                    <td>
                </tr>
            </table>
        </div>
    </body>
    <script>
        function calc()
        {
        let number=document.getElementById("number").value;
        let value=document.getElementById("value").value;
        let result;
        for(let i=1;i<=value;i++)
        {
             result=number*i+"<br>";
             document.write(result);
        }
    }
    </script>
</html>